/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTA4 (number 26), J20A[A10]/J20A[B62]/SW2
  @{ */
#define BOARD_SW2_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_SW2_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_SW2_PIN 4U     /*!<@brief PORTA pin index: 4 */
                             /* @} */

/*! @name PORTA5 (number 27), J20A[A51]/J33[1]/IRQ/SW3
  @{ */
#define BOARD_SW3_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_SW3_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_SW3_PIN 5U     /*!<@brief PORTA pin index: 5 */
                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONS(void);

/*! @name PORTA12 (number 28), J22[17]/J20A[B38]/J20A[A53]/J23[2]/LED1
  @{ */
#define BOARD_LED1_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_LED1_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_LED1_PIN 12U    /*!<@brief PORTA pin index: 12 */
                              /* @} */

/*! @name PORTA13 (number 29), J22[18]/J20A[B33]/J20A[B37]/J18[2]/LED2
  @{ */
#define BOARD_LED2_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_LED2_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_LED2_PIN 13U    /*!<@brief PORTA pin index: 13 */
                              /* @} */

/*! @name PORTB0 (number 35), J6[10]/J20A[A30]/J20A[B21]/J13[2]/LCD_P0/LED3
  @{ */
#define BOARD_LED3_GPIO GPIOB /*!<@brief GPIO device name: GPIOB */
#define BOARD_LED3_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LED3_PIN 0U     /*!<@brief PORTB pin index: 0 */
                              /* @} */

/*! @name PORTB19 (number 42), J6[8]/J20A[A9]/J7[2]/UART1_CTS/LCD_P15/LED4
  @{ */
#define BOARD_LED4_GPIO GPIOB /*!<@brief GPIO device name: GPIOB */
#define BOARD_LED4_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LED4_PIN 19U    /*!<@brief PORTB pin index: 19 */
                              /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

/*! @name PORTE22 (number 11), J3[2]/J20A[B52]/J20A[B29]/UART2_TX
  @{ */
#define BOARD_DEBUG_UART_TX_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_DEBUG_UART_TX_PIN 22U    /*!<@brief PORTE pin index: 22 */
                                       /* @} */

/*! @name PORTE23 (number 12), J5[2]/J20A[B30]/J20A[A35]/UART2_RX
  @{ */
#define BOARD_DEBUG_UART_RX_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_DEBUG_UART_RX_PIN 23U    /*!<@brief PORTE pin index: 23 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name USB0_DP (number 5), J21[3]/KL43_USB0_DP
  @{ */
/* @} */

/*! @name USB0_DM (number 6), J21[2]/KL43_USB0_DN
  @{ */
/* @} */

/*! @name VREGIN (number 8), J16[2]/P5V_VREGIN_KL43
  @{ */
/* @} */

/*! @name PORTA5 (number 27), J20A[A51]/J33[1]/IRQ/SW3
  @{ */
#define BOARD_USB_CLKIN_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_USB_CLKIN_PIN 5U     /*!<@brief PORTA pin index: 5 */
                                   /* @} */

/*! @name PORTC7 (number 56), J14[9]/J15[15]/J20A[A11]/TWPRI_SPI0_MISO/LCD_P27
  @{ */
#define BOARD_USB_SOF_OUT_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_USB_SOF_OUT_PIN 7U     /*!<@brief PORTC pin index: 7 */
                                     /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSB(void);

/*! @name PORTE0 (number 1), J29[2]/J20A[A8]//RTC_CLKOUT/ACC_I2C1_SDA/LCD_P48
  @{ */
#define BOARD_ACC_SDA_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_ACC_SDA_PIN 0U     /*!<@brief PORTE pin index: 0 */
                                 /* @} */

/*! @name PORTE1 (number 2), J26[2]/J20A[A7]/ACC_I2C1_SCL/LCD_P49
  @{ */
#define BOARD_ACC_SCL_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_ACC_SCL_PIN 1U     /*!<@brief PORTE pin index: 1 */
                                 /* @} */

/*! @name PORTD6 (number 63), J15[10]/J32[1]/J20A[B10]/SPI1_MOSI/ACC_INT1/LCD_P46
  @{ */
#define BOARD_ACC_INT1_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_ACC_INT1_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_ACC_INT1_PIN 6U     /*!<@brief PORTD pin index: 6 */
                                  /* @} */

/*! @name PORTD7 (number 64), J15[9]/J34[1]/J20A[B11]/SPI1_MISO/ACC_INT2/LCD_P47
  @{ */
#define BOARD_ACC_INT2_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_ACC_INT2_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_ACC_INT2_PIN 7U     /*!<@brief PORTD pin index: 7 */
                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL(void);

/*! @name PORTE29 (number 17), J2[1]/J20A[A38]/KL43_USB_ID/POT_ADC0_SE4B
  @{ */
#define BOARD_POT_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_POT_PIN 29U    /*!<@brief PORTE pin index: 29 */
                             /* @} */

/*! @name VREFH (number 14), J20A[A47]/J38[1]/MCU_PWR
  @{ */
/* @} */

/*! @name VREFL (number 15), GND
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPOT(void);

/*! @name PORTE20 (number 9), J15[1]/J30[1]/J20A[B27]/J20A[A63]/IRDA_ADC0_DP0/LCD_P59
  @{ */
#define BOARD_IRDAR_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_IRDAR_PIN 20U    /*!<@brief PORTE pin index: 20 */
                               /* @} */

/*! @name PORTE21 (number 10), J15[2]/J27[1]/J20A[B28]/IRDA_ADC0_DM0/LCD_P60
  @{ */
#define BOARD_IRDA_SEN_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_IRDA_SEN_PIN 21U    /*!<@brief PORTE pin index: 21 */
                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitIRDA(void);

/*! @name PORTB16 (number 39), J6[3]/J14[17]/J20A[A50]/J20A[A34]/UART0_RX/LCD_P12
  @{ */
#define BOARD_LCD_P12_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P12_PIN 16U    /*!<@brief PORTB pin index: 16 */
                                 /* @} */

/*! @name PORTB17 (number 40), J6[5]/J14[18]/J20A[A33]/UART0_TX/LCD_P13
  @{ */
#define BOARD_LCD_P13_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P13_PIN 17U    /*!<@brief PORTB pin index: 17 */
                                 /* @} */

/*! @name PORTB18 (number 41), J6[7]/J20A[A22]/I2S0_TX_BCLK/LCD_P14
  @{ */
#define BOARD_LCD_P14_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P14_PIN 18U    /*!<@brief PORTB pin index: 18 */
                                 /* @} */

/*! @name PORTC3 (number 46), J15[14]/J6[9]/J14[19]/J20A[A64]/LCD_P23
  @{ */
#define BOARD_LCD_P23_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LCD_P23_PIN 3U     /*!<@brief PORTC pin index: 3 */
                                 /* @} */

/*! @name PORTB1 (number 36), J15[7]/J6[11]/J20A[B22]/J20A[A29]/LCD_P1
  @{ */
#define BOARD_LCD_P1_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P1_PIN 1U     /*!<@brief PORTB pin index: 1 */
                                /* @} */

/*! @name PORTB3 (number 38), J22[8]/J6[13]/J20A[B35]/J20A[A27]/ADC0/LCD_P3
  @{ */
#define BOARD_LCD_P3_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P3_PIN 3U     /*!<@brief PORTB pin index: 3 */
                                /* @} */

/*! @name PORTC2 (number 45), J14[16]/J15[11]/J6[15]/J20A[A23]/I2S0_TX_FS/LCD_P22
  @{ */
#define BOARD_LCD_P22_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LCD_P22_PIN 2U     /*!<@brief PORTC pin index: 2 */
                                 /* @} */

/*! @name PORTD3 (number 60), J6[17]/J20A[B44]/SPI0_MISO/LCD_P43-ID0
  @{ */
#define BOARD_LCD_P43_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LCD_P43_PIN 3U     /*!<@brief PORTD pin index: 3 */
                                 /* @} */

/*! @name PORTB19 (number 42), J6[8]/J20A[A9]/J7[2]/UART1_CTS/LCD_P15/LED4
  @{ */
#define BOARD_LCD_P15_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P15_PIN 19U    /*!<@brief PORTB pin index: 19 */
                                 /* @} */

/*! @name PORTB0 (number 35), J6[10]/J20A[A30]/J20A[B21]/J13[2]/LCD_P0/LED3
  @{ */
#define BOARD_LCD_P0_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P0_PIN 0U     /*!<@brief PORTB pin index: 0 */
                                /* @} */

/*! @name PORTB2 (number 37), J22[9]/J6[12]/J20A[B23]/J20A[A28]/ADC1/LCD_P2
  @{ */
#define BOARD_LCD_P2_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LCD_P2_PIN 2U     /*!<@brief PORTB pin index: 2 */
                                /* @} */

/*! @name PORTC0 (number 43), J14[15]/J6[14]/J20A[A25]/I2S0_TXD/LCD_P20
  @{ */
#define BOARD_LCD_P20_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LCD_P20_PIN 0U     /*!<@brief PORTC pin index: 0 */
                                 /* @} */

/*! @name PORTC4 (number 53), J6[16]/J14[11]/J20A[B47]/SPI0_PCS1_B/SPI0_PCS0_B/LCD_P24
  @{ */
#define BOARD_LCD_P24_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LCD_P24_PIN 4U     /*!<@brief PORTC pin index: 4 */
                                 /* @} */

/*! @name PORTD2 (number 59), J6[18]/J20A[B45]/SPI0_MOSI/LCD_P42-ID1
  @{ */
#define BOARD_LCD_P42_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LCD_P42_PIN 2U     /*!<@brief PORTD pin index: 2 */
                                 /* @} */

/*! @name PORTA20 (number 34), J4[10]/J22[20]/J20A[A62]/RST
  @{ */
#define BOARD_RST_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_RST_PIN 20U    /*!<@brief PORTA pin index: 20 */
                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLCD(void);

/*! @name PORTA18 (number 32), EXTAL0
  @{ */
#define BOARD_EXTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_EXTAL0_PIN 18U    /*!<@brief PORTA pin index: 18 */
                                /* @} */

/*! @name PORTA19 (number 33), XTAL0
  @{ */
#define BOARD_XTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_XTAL0_PIN 19U    /*!<@brief PORTA pin index: 19 */
                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSC(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
